## Tcl8.6.2/Tk8.6.2 Documentation > Tk Commands, version 8.6.2 > ttk_combobox

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

  NAME
    ttk::combobox — text field with popdown selection list
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -cursor, cursor, Cursor
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
  WIDGET-SPECIFIC OPTIONS
    -exportselection, exportSelection, ExportSelection
    -justify, justify, Justify
    -height, height, Height
    -postcommand, postCommand, PostCommand
    -state, state, State
    -textvariable, textVariable, TextVariable
    -values, values, Values
    -width, width, Width
  WIDGET COMMAND
    pathName current ?newIndex?
    pathName get
    pathName set value
  VIRTUAL EVENTS
  SEE ALSO
  KEYWORDS

### NAME

ttk::combobox — text field with popdown selection list

### SYNOPSIS

ttk::combobox pathName ?options?

### DESCRIPTION

A ttk::combobox combines a text field with a pop-down list of values; the user may select the value of the text field from among the values in the list.

### STANDARD OPTIONS

-class, undefined, undefined
-cursor, cursor, Cursor
-style, style, Style
-takefocus, takeFocus, TakeFocus

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -exportselection
Database Name: exportSelection
Database Class: ExportSelection
  Boolean value. If set, the widget selection is linked to the X selection.

Command-Line Name: -justify
Database Name: justify
Database Class: Justify
  Specifies how the text is aligned within the widget. Must be one of left, center, or right.

Command-Line Name: -height
Database Name: height
Database Class: Height
  Specifies the height of the pop-down listbox, in rows.

Command-Line Name: -postcommand
Database Name: postCommand
Database Class: PostCommand
  A Tcl script to evaluate immediately before displaying the listbox. The -postcommand script may specify the -values to display.

Command-Line Name: -state
Database Name: state
Database Class: State
  One of normal, readonly, or disabled. In the readonly state, the value may not be edited directly, and the user can only select one of the -values from the dropdown list. In the normal state, the text field is directly editable. In the disabled state, no interaction is possible.

Command-Line Name: -textvariable
Database Name: textVariable
Database Class: TextVariable
  Specifies the name of a global variable whose value is linked to the widget value. Whenever the variable changes value the widget value is updated, and vice versa.

Command-Line Name: -values
Database Name: values
Database Class: Values
  Specifies the list of values to display in the drop-down listbox.

Command-Line Name: -width
Database Name: width
Database Class: Width
  Specifies an integer value indicating the desired width of the entry window, in average-size characters of the widget's font.

### WIDGET COMMAND

The following subcommands are possible for combobox widgets:

pathName current ?newIndex?
  If newIndex is supplied, sets the combobox value to the element at position newIndex in the list of -values. Otherwise, returns the index of the current value in the list of -values or -1 if the current value does not appear in the list.

pathName get
  Returns the current value of the combobox.

pathName set value
  Sets the value of the combobox to value.

The combobox widget also supports the following ttk::entry widget subcommands (see ttk::entry(n) for details):

  bbox | delete | icursor
  index | insert | selection
  xview

The combobox widget also supports the following generic ttk::widget widget subcommands (see ttk::widget(n) for details):

  cget | configure | identify
  instate | state

### VIRTUAL EVENTS

The combobox widget generates a <<ComboboxSelected>> virtual event when the user selects an element from the list of values. If the selection action unposts the listbox, this event is delivered after the listbox is unposted.

### SEE ALSO

ttk::widget, ttk::entry

### KEYWORDS

choice, entry, list box, text box, widget
Copyright © 2004 Joe English